/// <reference path="../Forest.ts" />
module Forest{
    export let ForestBed = new RoomRandom("Forest Bed", false, true);
    ForestBed.description = new Say(
        "A circle made of dead leaves rests in the middle of a forest dense with trees. ",
        "The ground surrounding the circle is littered with sticks, stones and other leaves, but the circle is made exclusively out of dead leaves, placed in such a way that it could serve as a makeshift bed. ",
        "This \"bed\" was where you first woke up, with no exact memory of how you got here. ",
        "You can barely make out the Obelisk through the trees - it's a long ways north, but the sleek, black tower can still be seen from this far. "
    );
    ForestBed.place(new RestingStuff("Leafbed", new Say("A bunch of dead leaves spread in a circle. There's quite a lot of them here, this could be used as a bed.")));
    ForestBed.connectableOn = [Direction.NORTH];
    ForestBed.backgroundImage = "roomForestBed";
    ForestBed.place(new Thing({name: "Rock"}));
    ForestBed.place(new Thing({name: "Rock"}));
    ForestBed.place(new Thing({name: "Rock"}));
    ForestBed.place(new Thing({name: "Rock"}));
    ForestBed.place(new Thing({name: "Rock"}));
    ForestBed.place(new Thing({name: "Rock"}));
    ForestBed.place(new Thing({name: "Rock"}));
    ForestBed.place(new Thing({name: "Rock"}));
    ForestBed.place(new Thing({name: "Rock"}));
    ForestBed.place(new Thing({name: "Rock"}));
}

let mapOfTest = new MapNote({name: "Map of the Forest",
description : "This is a simple map showing all the rooms here.", unique : true});
mapOfTest.addRegion(Forest.region);
WorldState.player.setCarried(mapOfTest);

PlayBegins.setStartingRoom(Forest.ForestBed);
Forest.region.place(Forest.ForestBed);